<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "transport";
$formname = "Transport Print";
$file = "transport_print.php";
//$mgrpcode = "0";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

$name = $_POST['name'];
$country = $_POST['country'];
$city = $_POST['city'];
$station = $_POST['station'];

$namecond = "";
$countrycond = "";
$citycond = "";
$stationcond = "";

if (!empty($name)) {
    $namecond = " AND `code`='$name' ";
}
if (!empty($country)) {
    $countrycond = " AND `country` LIKE '%$country%' ";
}
if (!empty($station)) {
    $stationcond = " AND `station` LIKE '%$station%' ";
}
if (!empty($city)) {
    $citycond = " AND `city` LIKE '%$city%' ";
}
$getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `name` !='' $stationcond $namecond $citycond $countrycond ")or die(mysqli_error($conn));
if (isset($_POST["view"])) {

    include("includes/linkshead.php");
    ?>
    <script src="MyScript/item.js" type="text/javascript"></script>
    </head>
    <body>
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <label class="label-control marg">Date - </label>
                    <label class="label-control marg"><?php Echo Date("d-m-Y"); ?></label>
                </div>
                <div class="col-lg-5">
                    <label class="label-control marg">Print - </label>
                    <label class="label-control marg"><?php Echo $formname; ?></label>
                </div>
                <div class="col-lg-1">
                    <a onclick="window.close()"  class="btn btn-primary">Go Back</a>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-bordered">
                        <tr class="mySearchTr">
                            <th>Sr</th>
                            <th>Name</th>
                            <th>Address</th>
                            <th>City</th>
                            <th>Email</th>
                            <th>Station</th>
                            <th>Tel</th>
                            <th>Mob 1</th>
                            <th>Mob 2</th>
                            <th>GST No.</th>
                            <th>State</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[name]</td>";
                            Echo "<td>$pmain[add1] $pmain[add2] $pmain[add3] </td>";
                            Echo "<td>$pmain[city]</td>";
                            Echo "<td>$pmain[email]</td>";
                            Echo "<td>$pmain[station]</td>";
                            Echo "<td>$pmain[tel]</td>";
                            Echo "<td>$pmain[mobile]</td>";
                            Echo "<td>$pmain[mobile2]</td>";
                            Echo "<td>$pmain[gstno]</td>";
                            Echo "<td>$pmain[state]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}
if (isset($_POST["excel"])) {
    $contents.="Sr.,NAME,ADDRESS,CITY,STATION,EMAIL ID,TEL,MOB,MOB2,GSTNO,STATE\n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $pname = $pmain['name'];
        $paddress = $pmain['add1'] . " " . $pmain['add2'] . " " . $pmain['add3'];

        $add = str_replace(",", " ", "$paddress");
        $pcountry = $pmain['country'];
        $pcity = $pmain['city'];
        $pemail = $pmain['email'];
        $ppin = $pmain['pin'];
        $ptel = $pmain['tel'];
        $pmobile = $pmain['mobile'];
        $tel = str_replace(",", " ", "$ptel");
        $pfax = $pmain['fax'];

        $contents.=$ctr . ",";
        $contents.=$pname . ",";
        $contents.=$add . ",";
        $contents.=$pcity . ",";
        $contents.=$pmain['station'] . ",";
        $contents.=$pemail . ",";
        $contents.=$tel . ",";
        $contents.=$pmobile . ",";
        $contents.=$pmain['mobile2'] . ",";
        $contents.=$pmain['gstno'] . ",";
        $contents.=$pmain['state'] . "\n";
        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>
